/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2022-08-22 11:14:36Z
 *****************************************************************************/

#ifndef __RSFPL_ATTRIBUTES_HEADER
#define __RSFPL_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsfpl_bin_ReadCallback(ViSession          io,
                                ViConstString      repCapName,
                                RsCoreAttributePtr attr);

ViStatus rsfpl_SpurList_Real64_ReadCallback(ViSession          io,
                                            ViConstString      repCapName,
                                            RsCoreAttributePtr attr);

ViStatus rsfpl_quotedInt_ReadCallback(ViSession          io,
                                      ViConstString      repCapName,
                                      RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsfpl_bin_WriteCallback(ViSession          io,
                                 ViConstString      repCapName,
                                 RsCoreAttributePtr attr,
                                 void               *value);

ViStatus rsfpl_quotedInt_WriteCallback(ViSession          io,
                                       ViConstString      repCapName,
                                       RsCoreAttributePtr attr,
                                       void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsFpl_rngTraceDetector;
extern RsCoreRangeTableRanged RsFpl_rngLevelHysteresis;
extern RsCoreRangeTableRanged RsFpl_rngAdjustLengthOfMeasurement;
extern RsCoreRangeTableDiscrete RsFpl_rngAutoMan;
extern RsCoreRangeTableRanged RsFpl_rngTraceAverageCount;
extern RsCoreRangeTableDiscrete RsFpl_rngTraceAverageMode;
extern RsCoreRangeTableDiscrete RsFpl_rngLinLog;
extern RsCoreRangeTableDiscrete RsFpl_rngFilterType;
extern RsCoreRangeTableRanged RsFpl_rngRBWToSpanRatio;
extern RsCoreRangeTableRanged RsFpl_rngSelectiveDemodulationThreshold;
extern RsCoreRangeTableRanged RsFpl_rngRRCFilterAlpha;
extern RsCoreRangeTableDiscrete RsFpl_rngSweepListInsertMode;
extern RsCoreRangeTableRanged RsFpl_rngRangeLimitAbsolute;
extern RsCoreRangeTableRanged RsFpl_rngPowerClassLimitRelative;
extern RsCoreRangeTableDiscrete RsFpl_rngStartStopFunction;
extern RsCoreRangeTableDiscrete RsFpl_rngPCLLimitCheckMode;
extern RsCoreRangeTableDiscrete RsFpl_rngMLCalculation;
extern RsCoreRangeTableRanged RsFpl_rngSweepListRangeMinSweepPoints;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerReferenceType;
extern RsCoreRangeTableRanged RsFpl_rngSubblocks;
extern RsCoreRangeTableDiscrete RsFpl_rngStepSizeCoupling;
extern RsCoreRangeTableDiscrete RsFpl_rngDetector;
extern RsCoreRangeTableDiscrete RsFpl_rngPulsePowerDetector;
extern RsCoreRangeTableRanged RsFpl_rngPowerSensorDutyCycle;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerSensorFrequencyCoupling;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerSensorMeasTime;
extern RsCoreRangeTableRanged RsFpl_rngPowerSensorNumberOfReadings;
extern RsCoreRangeTableRanged RsFpl_rngChannelPairs;
extern RsCoreRangeTableRanged RsFpl_rngPowerChannelBandwidth;
extern RsCoreRangeTableRanged RsFpl_rngFilterAlpha;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurement;
extern RsCoreRangeTableDiscrete RsFpl_rngReferenceChannelAutoType;
extern RsCoreRangeTableRanged RsFpl_rngReferenceChannelNumber;
extern RsCoreRangeTableRanged RsFpl_rngPowerChannelSpacing;
extern RsCoreRangeTableRanged RsFpl_rngNumbeOfTransmissionChannels;
extern RsCoreRangeTableRanged RsFpl_rngOBWPercent;
extern RsCoreRangeTableDiscrete RsFpl_rngROSCSource;
extern RsCoreRangeTableRanged RsFpl_rngSweepCount;
extern RsCoreRangeTableRanged RsFpl_rngGateDelay;
extern RsCoreRangeTableRanged RsFpl_rngGateLength;
extern RsCoreRangeTableDiscrete RsFpl_rngPosNeg;
extern RsCoreRangeTableDiscrete RsFpl_rngGateSource;
extern RsCoreRangeTableDiscrete RsFpl_rngGateMode;
extern RsCoreRangeTableDiscrete RsFpl_rngMeasurementMode;
extern RsCoreRangeTableDiscrete RsFpl_rngPartialSpanOptimizationMode;
extern RsCoreRangeTableRanged RsFpl_rngSweepPoints;
extern RsCoreRangeTableDiscrete RsFpl_rngBandPowerMode;
extern RsCoreRangeTableDiscrete RsFpl_rngSpectrogramMarkerSearchArea;
extern RsCoreRangeTableRanged RsFpl_rngListEvaluationThreshold;
extern RsCoreRangeTableDiscrete RsFpl_rngLimitLineDomain;
extern RsCoreRangeTableRanged RsFpl_rngPowerClassMax;
extern RsCoreRangeTableRanged RsFpl_rngPowerClassMin;
extern RsCoreRangeTableRanged RsFpl_rngPowerClassesLimit;
extern RsCoreRangeTableDiscrete RsFpl_rngLimitLineUnit;
extern RsCoreRangeTableRanged RsFpl_rngDemodulationStopTime;
extern RsCoreRangeTableDiscrete RsFpl_rngDemodulationMode;
extern RsCoreRangeTableRanged RsFpl_rngMaxNoPeaks;
extern RsCoreRangeTableDiscrete RsFpl_rngPeakListSortMode;
extern RsCoreRangeTableRanged RsFpl_rngHarmonicDistortionNumberOfHarmonics;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurementTraceDisplayMode;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurementResultType;
extern RsCoreRangeTableRanged RsFpl_rngSignalTrackingThreshold;
extern RsCoreRangeTableRanged RsFpl_rngTrace;
extern RsCoreRangeTableDiscrete RsFpl_rngMarkerStepsize;
extern RsCoreRangeTableDiscrete RsFpl_rngTraceMathematicsMode;
extern RsCoreRangeTableRanged RsFpl_rngTraceMathematicsPosition;
extern RsCoreRangeTableRanged RsFpl_rngSpuriousEmissionsNumberOfPeaks;
extern RsCoreRangeTableRanged RsFpl_rngSpectrogramHistoryDepth;
extern RsCoreRangeTableDiscrete RsFpl_rngSpectrogramLayout;
extern RsCoreRangeTableRanged RsFpl_rngTimeLinePosition;
extern RsCoreRangeTableDiscrete RsFpl_rngAbsolutePowerUnit;
extern RsCoreRangeTableDiscrete RsFpl_rngCalibrationSignalBandwidth;
extern RsCoreRangeTableRanged RsFpl_rngDisplayBrightness;
extern RsCoreRangeTableDiscrete RsFpl_rngDisplayTouchEnabled;
extern RsCoreRangeTableDiscrete RsFpl_rngDateTimeFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngMarkerTableDisplayMode;
extern RsCoreRangeTableRanged RsFpl_rngSpectrogramColorMap;
extern RsCoreRangeTableRanged RsFpl_rngSpectrogramColorCurveShape;
extern RsCoreRangeTableDiscrete RsFpl_rngSpectrogramColorScheme;
extern RsCoreRangeTableDiscrete RsFpl_rngTraceMode;
extern RsCoreRangeTableRanged RsFpl_rngTraceSmoothing;
extern RsCoreRangeTableDiscrete RsFpl_rngAbsRel;
extern RsCoreRangeTableRanged RsFpl_rngYAxisRange;
extern RsCoreRangeTableRanged RsFpl_rngReferenceLevelOffset;
extern RsCoreRangeTableDiscrete RsFpl_rngDecimalSeparator;
extern RsCoreRangeTableDiscrete RsFpl_rngResultsFileFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngIncludedData;
extern RsCoreRangeTableDiscrete RsFpl_rngHcopyContent;
extern RsCoreRangeTableDiscrete RsFpl_rngHcopyFileFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngPageMarginUnit;
extern RsCoreRangeTableDiscrete RsFpl_rngPageOrientation;
extern RsCoreRangeTableDiscrete RsFpl_rngSequencerMode;
extern RsCoreRangeTableDiscrete RsFpl_rngInstrumentSettingsMode;
extern RsCoreRangeTableDiscrete RsFpl_rngOutputSource;
extern RsCoreRangeTableDiscrete RsFpl_rngOutputSignalPolarity;
extern RsCoreRangeTableRanged RsFpl_rngUserPortOutputValue;
extern RsCoreRangeTableRanged RsFpl_rngLoudspeakerVolume;
extern RsCoreRangeTableRanged RsFpl_rngTriggerDropOutTime;
extern RsCoreRangeTableRanged RsFpl_rngTriggerHoldoff;
extern RsCoreRangeTableRanged RsFpl_rngTriggerHysteresis;
extern RsCoreRangeTableRanged RsFpl_rngTriggerLevelIQPower;
extern RsCoreRangeTableDiscrete RsFpl_rngTriggerSource;
extern RsCoreRangeTableRanged RsFpl_rngTriggerRepetitionInterval;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerSensorAbsolutePowerUnit;
extern RsCoreRangeTableDiscrete RsFpl_rngPowerSensorRelativePowerUnit;
extern RsCoreRangeTableRanged RsFpl_rngStepSizeFactor;
extern RsCoreRangeTableDiscrete RsFpl_rngSweepType;
extern RsCoreRangeTableDiscrete RsFpl_rngYAxisScaling;
extern RsCoreRangeTableCoerced RsFpl_rngRFInputImpedance;
extern RsCoreRangeTableRanged RsFpl_rngReferenceMarker;
extern RsCoreRangeTableDiscrete RsFpl_rngTraceResultType;
extern RsCoreRangeTableRanged RsFpl_rngSEMPowerClassesNumberOfClasses;
extern RsCoreRangeTableDiscrete RsFpl_rngLayoutDirection;
extern RsCoreRangeTableDiscrete RsFpl_rngLayoutWindowType;
extern RsCoreRangeTableRanged RsFpl_rngLimitLine;
extern RsCoreRangeTableDiscrete RsFpl_rngHcopyDevice;
extern RsCoreRangeTableDiscrete RsFpl_rngStatusRegisterOperation;
extern RsCoreRangeTableDiscrete RsFpl_rngStatusRegister;
extern RsCoreRangeTableDiscrete RsFpl_rngStatusRegisterQuery;
extern RsCoreRangeTableDiscrete RsFpl_rngTFacUnit;
extern RsCoreRangeTableDiscrete RsFpl_rngCalibrationInputSource;
extern RsCoreRangeTableDiscrete RsFpl_rngGeneralDisplayLanguage;
extern RsCoreRangeTableRanged RsFpl_rngPowerSensorExternalTriggerLevel;
extern RsCoreRangeTableRanged RsFpl_rngPowerSensorExternalTriggerTime;
extern RsCoreRangeTableRanged RsFpl_rngColorMapEndPoint;
extern RsCoreRangeTableDiscrete RsFpl_rngACLRMeasurementConfiguration;
extern RsCoreRangeTableDiscrete RsFpl_rngChannelType;
extern RsCoreRangeTableDiscrete RsFpl_rngIQRBWMode;
extern RsCoreRangeTableDiscrete RsFpl_rngTransformationAlgorithm;
extern RsCoreRangeTableRanged RsFpl_rngFFTLength;
extern RsCoreRangeTableRanged RsFpl_rngFFTWindowLength;
extern RsCoreRangeTableRanged RsFpl_rngWindowOverlap;
extern RsCoreRangeTableDiscrete RsFpl_rngWindowFunction;
extern RsCoreRangeTableDiscrete RsFpl_rngBranchForPeaksearch;
extern RsCoreRangeTableDiscrete RsFpl_rngDisplaySize;
extern RsCoreRangeTableDiscrete RsFpl_rngIQFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngIQDataFormat;
extern RsCoreRangeTableRanged RsFpl_rngNumberOfGatePeriods;
extern RsCoreRangeTableDiscrete RsFpl_rngIQAnalyzerGatingMode;
extern RsCoreRangeTableDiscrete RsFpl_rngIQAnalyzerLayoutWindowType;
extern RsCoreRangeTableDiscrete RsFpl_rngNoisePowerMeasurement;
extern RsCoreRangeTableDiscrete RsFpl_rngNoiseDUTType;
extern RsCoreRangeTableDiscrete RsFpl_rngNoiseSourceMode;
extern RsCoreRangeTableRanged RsFpl_rngNoiseConstantENR;
extern RsCoreRangeTableDiscrete RsFpl_rngENRNoiseSource;
extern RsCoreRangeTableRanged RsFpl_rngNoiseImageRejection;
extern RsCoreRangeTableRanged RsFpl_rngAdditionalLoss;
extern RsCoreRangeTableRanged RsFpl_rngNoiseRoomTemperature;
extern RsCoreRangeTableDiscrete RsFpl_rngNoiseResultType;
extern RsCoreRangeTableDiscrete RsFpl_rngNoiseDisplayFrequencyType;
extern RsCoreRangeTableDiscrete RsFpl_rngNoiseLayoutWindowType;
extern RsCoreRangeTableRanged RsFpl_rngNoiseDUTGain;
extern RsCoreRangeTableRanged RsFpl_rngNoiseSettlingTime;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMSummaryResultType;
extern RsCoreRangeTableRanged RsFpl_rngADEMSquelchLevel;
extern RsCoreRangeTableRanged RsFpl_rngADEMCutoffFrequency;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMMode;
extern RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelAM;
extern RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelRF;
extern RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelFM;
extern RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelPM;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMFilterType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMAFCoupling;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMAFHighPassFilterType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMAFLowPassFilterTypeRelative;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMAFLowPassFilterTypeAbsolute;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMAFDeemphasisFilterType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMEvaluationMethod;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMTraceMode;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMRelativeDemodulationResultsUnit;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMSummaryMeasType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMLayoutWindowType;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMUnitAngle;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMUnitTHD;
extern RsCoreRangeTableDiscrete RsFpl_rngVSANormalizeEvm;
extern RsCoreRangeTableCoerced RsFpl_rngVSAEstOverSmplg;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAEqFileFormat;
extern RsCoreRangeTableRanged RsFpl_rngVSAEQFilterLength;
extern RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationEQMode;
extern RsCoreRangeTableDiscrete RsFpl_rngVSARestoresFactory;
extern RsCoreRangeTableRanged RsFpl_rngVSAFilterAlphaBT;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationType;
extern RsCoreRangeTableCoerced RsFpl_rngVSAModulationFSKNstate;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAFineSyncMode;
extern RsCoreRangeTableRanged RsFpl_rngVSAMeasFilterAlphaBT;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationMSKFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationOptimization;
extern RsCoreRangeTableRanged RsFpl_rngVSAFrameBoosting;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAFrameModulation;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAFrameMode;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAPSKFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationQAMFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationQPSKFormat;
extern RsCoreRangeTableRanged RsFpl_rngVSABurstMinGap;
extern RsCoreRangeTableRanged RsFpl_rngVSAStructureMaxLength;
extern RsCoreRangeTableRanged RsFpl_rngVSAStructureMinLength;
extern RsCoreRangeTableDiscrete RsFpl_rngVSABurstSearchMeas;
extern RsCoreRangeTableRanged RsFpl_rngVSAStructureRunOut;
extern RsCoreRangeTableRanged RsFpl_rngVSABurstSearchTolerance;
extern RsCoreRangeTableRanged RsFpl_rngVSASelectResultRange;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAStructurePatterns;
extern RsCoreRangeTableRanged RsFpl_rngVSAIQCorrelationLevel;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAPatternSyncMode;
extern RsCoreRangeTableRanged RsFpl_rngVSAStructurePatternOffset;
extern RsCoreRangeTableRanged RsFpl_rngVSAResultLength;
extern RsCoreRangeTableRanged RsFpl_rngVSAEvalRng;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultType;
extern RsCoreRangeTableRanged RsFpl_rngVSAFSKDeviation;
extern RsCoreRangeTableRanged RsFpl_rngVSAMACCLimitValue;
extern RsCoreRangeTableRanged RsFpl_rngVSAMACCFEValue;
extern RsCoreRangeTableRanged RsFpl_rngVSAMACCIQOffset;
extern RsCoreRangeTableRanged RsFpl_rngVSAPERValue;
extern RsCoreRangeTableRanged RsFpl_rngVSARhoValue;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAMeasResultType;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultOversampling;
extern RsCoreRangeTableRanged RsFpl_rngVSAQuantize;
extern RsCoreRangeTableRanged RsFpl_rngVSAAlignmentOffset;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultAlignment;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultReference;
extern RsCoreRangeTableDiscrete RsFpl_rngVSATraceSymbolSelection;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultIndividual;
extern RsCoreRangeTableCoerced RsFpl_rngVSAResultPPS;
extern RsCoreRangeTableRanged RsFpl_rngVSASymbNumberAtRefStart;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAOptimizationMode;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAPadType;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAIQFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAIQDataFormat;
extern RsCoreRangeTableRanged RsFpl_rngVSAModulationFSKDevAbs;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationAPSKNState;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationASKNState;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAModulationPSKFormat;
extern RsCoreRangeTableCoerced RsFpl_rngVSAModulationPSKNState;
extern RsCoreRangeTableCoerced RsFpl_rngVSAModulationQAMNState;
extern RsCoreRangeTableRanged RsFpl_rngVSAModulationSymbolRate;
extern RsCoreRangeTableDiscrete RsFpl_rngVSASignalStructureType;
extern RsCoreRangeTableCoerced RsFpl_rngVSAKDataPRBSType;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAKDataSource;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAScallingTimeUnit;
extern RsCoreRangeTableCoerced RsFpl_rngVSASignalCaptureSampleRate;
extern RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationCoarse;
extern RsCoreRangeTableDiscrete RsFpl_rngVSATraceEvaluation;
extern RsCoreRangeTableRanged RsFpl_rngVSADLinesHorizontalLine;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAMACCLimitResult;
extern RsCoreRangeTableDiscrete RsFpl_rngVSASearchAuto;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAResultPPSMode;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAMeasResultTypeEVM;
extern RsCoreRangeTableDiscrete RsFpl_rngVSAStatusRegister;
extern RsCoreRangeTableRanged RsFpl_rngVSASignalStructureRunIn;
extern RsCoreRangeTableRanged RsFpl_rngGatePeriod;
extern RsCoreRangeTableDiscrete RsFpl_rngEMIMeasurementDetector;
extern RsCoreRangeTableRanged RsFpl_rngEMIDwellTime;
extern RsCoreRangeTableRanged RsFpl_rngPct;
extern RsCoreRangeTableDiscrete RsFpl_rngProbability;
extern RsCoreRangeTableRanged RsFpl_rngReferenceLevel;
extern RsCoreRangeTableDiscrete RsFpl_rngCalibrationSignalPeakDistance;
extern RsCoreRangeTableDiscrete RsFpl_rngRFInputSAWFilter;
extern RsCoreRangeTableDiscrete RsFpl_rngEMILISNVNetworkPhase;
extern RsCoreRangeTableDiscrete RsFpl_rngEMILISNVNetworkType;
extern RsCoreRangeTableDiscrete RsFpl_rngRFInput;
extern RsCoreRangeTableDiscrete RsFpl_rngDataInstrumentSettingsRecallMode;
extern RsCoreRangeTableDiscrete RsFpl_rngMessageType;
extern RsCoreRangeTableRanged RsFpl_rngPowerChannelSpacingAltAdj;
extern RsCoreRangeTableDiscrete RsFpl_rngSignalStatisticScalingYUnit;
extern RsCoreRangeTableRanged RsFpl_rngSignalStatisticScalingYMinimum;
extern RsCoreRangeTableRanged RsFpl_rngSignalStatisticScalingYMaximum;
extern RsCoreRangeTableDiscrete RsFpl_rngStatisticResultType;
extern RsCoreRangeTableDiscrete RsFpl_rngSpectrogramSelectTrace;
extern RsCoreRangeTableCoerced RsFpl_rngCalibrationSignalWidebandFrequency;
extern RsCoreRangeTableDiscrete RsFpl_rngLinkedMarkers;
extern RsCoreRangeTableDiscrete RsFpl_rngDisplayFormat;
extern RsCoreRangeTableRanged RsFpl_rngNoiseDUTFixedIFFrequency;
extern RsCoreRangeTableDiscrete RsFpl_rngLOType;
extern RsCoreRangeTableRanged RsFpl_rngNoiseMeasurementPoints;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseMaxFreqDrift;
extern RsCoreRangeTableDiscrete RsFpl_rngCalibrationMode;
extern RsCoreRangeTableDiscrete RsFpl_rngCalibrationMethod;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseLimitFloor;
extern RsCoreRangeTableRanged RsFpl_rngPowerLinePosition;
extern RsCoreRangeTableDiscrete RsFpl_rngCompressionReferenceMode;
extern RsCoreRangeTableDiscrete RsFpl_rngXDistribution;
extern RsCoreRangeTableDiscrete RsFpl_rngHCopyMode;
extern RsCoreRangeTableDiscrete RsFpl_rngHeaderLineVisibility;
extern RsCoreRangeTableDiscrete RsFpl_rngTitlePageLogoVisibility;
extern RsCoreRangeTableDiscrete RsFpl_rngPageFormat;
extern RsCoreRangeTableRanged RsFpl_rngGeneratorFrequency;
extern RsCoreRangeTableDiscrete RsFpl_rngGeneratorPowerMode;
extern RsCoreRangeTableRanged RsFpl_rngGeneratorSweepLevel;
extern RsCoreRangeTableRanged RsFpl_rngGeneratorLevelOffset;
extern RsCoreRangeTableRanged RsFpl_rngGeneratorLevel;
extern RsCoreRangeTableDiscrete RsFpl_rngTestReportChannelType;
extern RsCoreRangeTableDiscrete RsFpl_rngTestReportItems;
extern RsCoreRangeTableDiscrete RsFpl_rngTestReportFileFormat;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseSweepMode;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseAverageCount;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseNominalLevel;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseSpurThreshold;
extern RsCoreRangeTableRanged RsFpl_rngMarkerZoomFactor;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseLimitLineType;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseTraceSmoothing;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseHalfDecade;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseXAxisScope;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseXAxisStart;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseXAxisStop;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseScalingMethod;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseYAxisBottom;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseOnVerifyFailed;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseMeasPreset;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseHalfDecadeWindowType;
extern RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseUserRangeTrace;
extern RsCoreRangeTableRanged RsFpl_rngPhaseNoiseYAxisTop;
extern RsCoreRangeTableDiscrete RsFpl_rngWindowTracePreset;
extern RsCoreRangeTableDiscrete RsFpl_rngVSABitErrorRateResult;
extern RsCoreRangeTableDiscrete RsFpl_rngSweepTypeMode;
extern RsCoreRangeTableDiscrete RsFpl_rngFrequencyAnnotationMode;
extern RsCoreRangeTableDiscrete RsFpl_rngADEMZeroPhaseReferencePositionMode;
extern RsCoreRangeTableDiscrete RsFpl_rngAnalogDemodulationResultRangeResultType;
extern RsCoreRangeTableDiscrete RsFpl_rngAnalogDemodulationUnitTHD;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSFPL_ATTR_OPERATING_MODE_MULTIVIEW_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_SETUP_DUPLICATE;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_SETUP_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_OPERATING_MODE_LIST_OF_CHANNEL_SETUPS;
extern RsCoreAttribute g_RSFPL_ATTR_SEQUENCER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SEQUENCER_INIT;
extern RsCoreAttribute g_RSFPL_ATTR_SEQUENCER_ABORT;
extern RsCoreAttribute g_RSFPL_ATTR_SEQUENCER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_RF_INPUT_SELECT;
extern RsCoreAttribute g_RSFPL_ATTR_RF_INPUT_SAW_FILTER;
extern RsCoreAttribute g_RSFPL_ATTR_RF_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSFPL_ATTR_RF_INPUT_PROTECTION_RESET;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_CONTINUOUS_UPDATE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_AUTO_ASSIGN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_TO_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_ZERO;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY_COUPLING;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_USE_REF_LEVEL_OFFSET_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_SENSOR_LEVEL_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_ABSOLUTE_POWER_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_NUMBER_OF_READINGS;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_MEAS_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_AVERAGING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_FETCH;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_READ;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HYSTERESIS;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_DROPOUT_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HOLDOFF_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_TRACKING_GENERATOR_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_POWER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_CW_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_CALIBRATION_METHOD;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_INTERNAL_GENERATOR_INITIATE_CALIBRATION;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_SAVE_AS_TRANSDUCER_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_START;
extern RsCoreAttribute g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_NOISE_SOURCE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_SIGNAL_POLARITY;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_MUTE;
extern RsCoreAttribute g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_VOLUME;
extern RsCoreAttribute g_RSFPL_ATTR_USER_PORT_INPUT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_USER_PORT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PREAMPLIFIER_GAIN;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_TO_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_AMPLITUDE_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_LEVEL_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_ATTENUATION;
extern RsCoreAttribute g_RSFPL_ATTR_ATTENUATION_COUPLING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_Y_AXIS_AUTOSCALE_ONCE;
extern RsCoreAttribute g_RSFPL_ATTR_Y_AXIS_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_Y_AXIS_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_Y_AXIS_SCALING_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_LEVEL_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_GRID_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_SPAN_FULL;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_START;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_CENTER_UP;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_CENTER_DOWN;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_STEP_SIZE;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_MARKER_TO_CENTER;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_MARKER_TO_STEP_SIZE;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_ANNOTATION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_TRACKING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_TRACKING_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_TRACKING_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_TRACKING_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_HORIZONTAL_SCALE;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_HORIZONTAL_SCALE;
extern RsCoreAttribute g_RSFPL_ATTR_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_RBW_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VBW;
extern RsCoreAttribute g_RSFPL_ATTR_VBW_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_RBW_TO_VBW_RATIO;
extern RsCoreAttribute g_RSFPL_ATTR_VBW_FILTER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_RBW_TO_SPAN_RATIO;
extern RsCoreAttribute g_RSFPL_ATTR_RBW_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_MANUAL_LENGTH_OF_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_LENGTH_OF_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_LOWER_LEVEL_HYSTERESIS;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_UPPER_LEVEL_HYSTERESIS;
extern RsCoreAttribute g_RSFPL_ATTR_ADJUST_WAIT_FOR_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_CURRENT_NUMBER_OF_SWEEPS;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_MODE_CONTINUOUS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CAPTURE_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_PARTIAL_SPAN_OPTIMIZATION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_TIME_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_TYPE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_FFT_SUBSPAN;
extern RsCoreAttribute g_RSFPL_ATTR_WINDOW_SWEEP_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_LEVEL_IFP;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_LEVEL_IQ_POWER;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_DROP_OUT_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_HYSTERESIS;
extern RsCoreAttribute g_RSFPL_ATTR_TRIGGER_HOLDOFF;
extern RsCoreAttribute g_RSFPL_ATTR_EXTERNAL_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_DELAY;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_POLARITY;
extern RsCoreAttribute g_RSFPL_ATTR_GATE_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_TABLE_DISPLAY_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_INFO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_STEPSIZE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_LINKING;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_EXCLUDE_LO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_EXCURSION;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_LIMITS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_ZOOM_LIMITS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ALL_DELTA_MARKERS_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_ALL_MARKERS_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_ASSIGNED_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_AMPLITUDE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PROBABILITY;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_ZOOM_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_REFERENCE_FIXED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_AUTO_MAX_PEAK_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MAX_PEAK_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MAX_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MAX_PEAK_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MAX_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_AUTO_MIN_PEAK_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MIN_PEAK_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MIN_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MIN_PEAK_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_MIN_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_MAX_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_HORIZONTAL;
extern RsCoreAttribute g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_VERTICAL;
extern RsCoreAttribute g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_LEVEL_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_LIST_LABELS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_LIST_MAXIMUM_NUMBER_OF_PEAKS;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_LIST_PEAKS;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_LIST_NUMBER_OF_FOUND_PEAKS;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_PEAK_LIST_SORT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ALL_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ALL_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_MARKER_ALL_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_MARKER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_MARKER_SPAN;
extern RsCoreAttribute g_RSFPL_ATTR_N_DB_DOWN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_N_DB_DOWN_DISTANCE;
extern RsCoreAttribute g_RSFPL_ATTR_N_DB_DOWN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_N_DB_DOWN_Q_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_COUNT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_COUNT_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_COUNT_RESOLUTION;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_CONTINUOUS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_STOP_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_RELATIVE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_LINK_TO_MARKER_1;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_ASSIGNED_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_AUTO_PEAK_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_SPAN;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_FRAME;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_SEARCH_AREA;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_ABOVE;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_BELOW;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_ABOVE;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_BELOW;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_SEARCH_AREA;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_ABOVE;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_BELOW;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_ABOVE;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_BELOW;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_AVERAGE_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_AVERAGE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_DETECTOR_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_DETECTOR;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_HOLD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_SMOOTHING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_SMOOTHING_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_AVERAGE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_WINDOW_PRESET_TRACES;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_TRACE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_TRACE_HOLD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_SUBWINDOW_PRESET_TRACES;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_TRACE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_MATHEMATICS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_MATHEMATICS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_TRACE_MATHEMATICS_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_3D_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_SELECTED_FRAME;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_HISTORY_DEPTH;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_TIME_STAMP_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_NUMBER_OF_FRAMES;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_CONTINOUS_SWEEP_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_CLEAR;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_LAYOUT;
extern RsCoreAttribute g_RSFPL_ATTR_SPECTROGRAM_SELECT_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_COLOR_MAP_RESTORE_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_COLOR_MAP_SCHEME;
extern RsCoreAttribute g_RSFPL_ATTR_COLOR_MAP_STARTING_POINT;
extern RsCoreAttribute g_RSFPL_ATTR_COLOR_MAP_END_POINT;
extern RsCoreAttribute g_RSFPL_ATTR_COLOR_MAP_CURVE_SHAPE;
extern RsCoreAttribute g_RSFPL_ATTR_ABORT;
extern RsCoreAttribute g_RSFPL_ATTR_INITIATE_SYNCHRONIZED;
extern RsCoreAttribute g_RSFPL_ATTR_INITIATE;
extern RsCoreAttribute g_RSFPL_ATTR_CONTINUE_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_SEND_SW_TRIGGER;
extern RsCoreAttribute g_RSFPL_ATTR_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_DISABLE_POWER_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_MEASUREMENT_SELECT_AND_ENABLE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_MEASUREMENT_ADJUST_SETTINGS;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE_DISPLAY_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_MEASUREMENTS_FIND_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_1_DB_POINT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_3_DB_POINT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_1_DB_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_3_DB_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_N_DB_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_DISPLAY_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_AS_DENSITY_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_CHANNEL_NUMBER_OF_TRANSMISSION_CHANNELS;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_CHANNEL_PAIRS;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_ENABLED_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_VALUE_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ACLR_LIMIT_CHECK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_CATALOG;
extern RsCoreAttribute g_RSFPL_ATTR_ACLR_SELECTED_MEASUREMENT_CONFIGURATION;
extern RsCoreAttribute g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_LOAD;
extern RsCoreAttribute g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_SAVE;
extern RsCoreAttribute g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_LIMIT_ABSOLUTE_CHECK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_CHANNEL_SET_CP_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER_AUTO_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER;
extern RsCoreAttribute g_RSFPL_ATTR_PERCENT_OF_POWER_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_INITIATE;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_NUMBER_OF_SUB_BLOCKS;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_CONFIGURATIONS_LOAD;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_CONFIGURATIONS_SAVE;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_LIMITS;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_SUB_BLOCK_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_FAST_SEM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_SYMMETRICAL_SETUP_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_NUMBER_OF_RANGES;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_POWER_CLASSES_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_POWER_CLASSES_MANUAL_LIMIT_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_POWER_CLASSES_NUMBER_OF_CLASSES;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_INSERT;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_START;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_VBW;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_MANUAL;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_MANUAL;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_TRANSDUCER_FILE_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_MULTI_LIMIT_CALCULATION;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_RANGE_MIN_SWEEP_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE_ALL_RANGES;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MAX;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MIN;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_START;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START_FUNCTION;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_START_FUNCTION_LIMIT;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP_FUNCTION;
extern RsCoreAttribute g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_STOP_FUNCTION_LIMIT;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_RANGE_POWER_REFERENCE_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_RANGE_TX_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_RANGE_RRC_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_RANGE_ALPHA;
extern RsCoreAttribute g_RSFPL_ATTR_REFERENCE_RANGE_NUMBER;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_LIST_EVALUATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_LIST_EVALUATION_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_LIST_EVALUATION_PEAK_LABELS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SEM_LIST_EVALUATION_INITIATE;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_INITIATE;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_NUMBER_OF_RANGES;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_BREAK_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_ADJUST_X_AXIS;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_START;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_VBW;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_MANUAL;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DETECTOR;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_MANUAL;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFIER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFICATION_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_TRANSDUCER_FILE_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_START;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_NUMBER_OF_PEAKS;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_PEAK_LABELS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_APD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_CCDF_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_NUMBER_OF_SAMPLES;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_REF_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MINIMUM;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MAXIMUM;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_ADJUST_SETTINGS;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_DEFAULT_SETTING;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_START;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_PERIOD;
extern RsCoreAttribute g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_ALL_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_PEAK_HOLD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_RMS_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_RMS_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_POSITIVE_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_POSITIVE_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_STANDARD_DEVIATION_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_STANDARD_DEVIATION_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_HARMONIC_DISTORTION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HARMONIC_DISTORTION_NUMBER_OF_HARMONICS;
extern RsCoreAttribute g_RSFPL_ATTR_HARMONIC_DISTORTION_RBW_AUTO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HARMONIC_DISTORTION_INITIATE;
extern RsCoreAttribute g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_SEARCH_SIGNAL;
extern RsCoreAttribute g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MAXIMUM;
extern RsCoreAttribute g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MINIMUM;
extern RsCoreAttribute g_RSFPL_ATTR_AM_MODULATION_DEPTH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_AM_MODULATION_DEPTH_SEARCH_SIGNAL;
extern RsCoreAttribute g_RSFPL_ATTR_AM_MODULATION_DEPTH_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_DISABLE_LIST_EVALUATION;
extern RsCoreAttribute g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_MINIMUM;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_CHANNEL_BAR_INFORMATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_X_AXIS_LABEL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_STATUS_BAR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_SOFTKEY_BAR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_TOOLBAR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_TOUCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_FRONT_PANEL_KEYS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_BRIGHTNESS;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_TEMPORARY_SIZE;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_COLORS_AND_THEMES_CATALOG;
extern RsCoreAttribute g_RSFPL_ATTR_COLORS_AND_THEMES_SELECTED_THEME;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_REMOVE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_WINDOW_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_WINDOW_SET_FOCUS;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_SUBWINDOW_SET_FOCUS;
extern RsCoreAttribute g_RSFPL_ATTR_DISPLAY_SINGLE_ZOOM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_DISPLAY_SINGLE_ZOOM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_MULTIPLE_ZOOM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_SUBWINDOW_MULTIPLE_ZOOM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_REPLACE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_WINDOW_REMOVE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_WINDOW_IDENTIFICATION;
extern RsCoreAttribute g_RSFPL_ATTR_LAYOUT_WINDOW_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DISPLAY_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TIME_DISPLAY_LINE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_DISPLAY_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_POWER_DISPLAY_LINE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_NAMES_OF_ACTIVE_LIMIT_LINES;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_DELETE_RESULTS;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CHECK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UNITS;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_COPY;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CONTROL_DOMAIN;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CONTROL_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_SHIFT;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_MARGIN;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_LOWER_SHIFT;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_SPACING;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_MARGIN;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_UPPER_SHIFT;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINES_ASSIGN_TRACE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_LIMIT_LINE_CHECK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_LOAD_LIMIT_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_EVALUATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_SAMPLE_RATE;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_ANALYSIS_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_SWAP_IQ_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_RECORD_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_RBW_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_MANUAL_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_TRANSFORMATION_ALGORITHM;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_FFT_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_FUNCTION;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_OVERLAP;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_BRANCH_FOR_PEAKSEARCH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_GATING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_GATING_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_GATING_GAP;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_GATING_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_GATING_NUMBER_OF_GATE_PERIODS;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_LAYOUT_REPLACE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_IQ_DATA_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_IQ_ANALYZER_SELECT_IQ_DATA_FILE_RAWSTRING;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_COMMON_NOISE_SOURCE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ROOM_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_NOISE_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_CONSTANT_ENR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_SELECTED_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_SMART_SERIAL_NUMBER;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_COLD_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_HOT_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_NOISE_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_SOURCE_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_CONSTANT_ENR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_SMART_SERIAL_NUMBER;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_COLD_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_HOT_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_SELECTED_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_CONSTANT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_SELECTED_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_DELETE_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_INPUT_LOSS_TABLE_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_CONSTANT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_SELECTED_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_DELETE_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TABLE_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_CONSTANT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_SELECTED_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_DELETE_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TABLE_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DUT_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DUT_LO_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DUT_LO_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DUT_IMAGE_REJECTION;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_COUPLING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_CONTINUOUS_SWEEP;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_SINGLE_SWEEP;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FREQUENCY_STEPSIZE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_CONTINUOUS_SWEEP;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_SINGLE_SWEEP;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FREQUENCY_QUERY_TABLE_DATA_RAW;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_QUERY_NOISE_DATA;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_DATA_INCLUDED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ANALYZER_AUTO_REFERENCE_LEVEL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ANALYZER_EXPECTED_DUT_GAIN;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_ANALYZER_SETTLING_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_LIMIT_LINE_RESULT_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DISPLAY_AUTOMATIC_SCALING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DISPLAY_FREQUENCY_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_SYMBOLS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_BOTTOM;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_TOP;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_LAYOUT_REPLACE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_MEASUREMENT_TYPE_OF_POWER_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_VSWR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_RETURN_LOSS;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_ENR_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_COLD_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_HOT_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_COMMON_SOURCE_FOR_MEAS_AND_CAL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_VSWR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_RETURN_LOSS;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_ENR_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_COLD_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_HOT_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_VSWR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_RETURN_LOSS;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_VSWR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_RETURN_LOSS;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_USE_MEASUREMENT_VALUES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_NOISE_FIGURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_GAIN;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_GAIN_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_NOISE_FIGURE_UNCERTAINTY;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_NOISE_FIGURE;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_GAIN;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_VSWR;
extern RsCoreAttribute g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_RETURN_LOSS;
extern RsCoreAttribute g_RSFPL_ATTR_ANALOG_DEMODULATION_SCALLING_ANGLE_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_ANALOG_DEMODULATION_UNIT_THD;
extern RsCoreAttribute g_RSFPL_ATTR_ANALOG_DEMODULATION_RF_INPUT_YIG_FILTER;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_LOAD_CONFIGURATION;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_SAVE_CONFIGURATION;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESTORE_CONFIGURATIONS;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRIGGER_AM_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRIGGER_RF_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRIGGER_FM_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRIGGER_PM_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_SAMPLE_RATE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RECORD_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_UNIT_ANGLE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_UNIT_THD;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_SQUELCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_SQUELCH_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_COUPLING;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_START;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_CENTER;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_SPAN;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_SPAN_FULL;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_START;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_AUTO_SCALE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RF_SPAN;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RF_SPAN_ZOOM;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_FILTER_ALL_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_CUTOFF_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_CUTOFF_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_RELATIVE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_ABSOLUTE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_CCITT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_UNWEIGHTED_CCIR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_WEIGHTED_CCIR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_WEIGHTED_A_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RELATIVE_DEMODULATION_RESULTS_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AM_DEMODULATION_SET_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_RESULT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_FM_DEMODULATION_SET_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_RESULT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_PM_DEMODULATION_SET_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_RESULT_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_LAYOUT_REPLACE_WINDOW;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESULT_MODULATION_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESULT_CARRIER_POWER;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_SELECT_TRACE_FOR_RESULT_SUMMARY;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESULT_THD;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESULT_SINAD;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_RESULT_CARRIER_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRACE_RESULT_MODULATION_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRACE_RESULT_CARRIER_POWER;
extern RsCoreAttribute g_RSFPL_ATTR_ADEM_TRACE_RESULT_DISTORTION;
extern RsCoreAttribute g_RSFPL_ATTR_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DWELL_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_PEAK_SEARCH;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_DETECTOR;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_CONDITION;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_VERTICAL_DISTANCE;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_PEAK_SEARCH;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_DETECTOR;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_CONDITION;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_VERTICAL_DISTANCE;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_LISN_V_NETWORK_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_LISN_V_NETWORK_HIGH_PASS_FILTER;
extern RsCoreAttribute g_RSFPL_ATTR_EMI_LISN_V_NETWORK_PHASE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SELECT_RESULT_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RF_INPUT_COUPLING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RF_INPUT_YIG_FILTER;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RF_INPUT_PAD_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_OUTPUT_PRESET_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_OUTPUT_OPIMIZATION_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PREAMPLIFIER_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_QUANTIZE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_ANGLE_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_X;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_Y;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_RANGE_PER_DIVISION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SCALLING_X_AXIS_REFERENCE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESTORES_FACTORY_SETTINGS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_LOAD_STANDARD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SAVE_STANDARD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DELETE_STANDARD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_CONFIGURATION_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_STANDARD_PRESET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION_ABSOLUTE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_FSK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_APSK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_ASK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_MSK_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_PSK_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_PSK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_QAM_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_QAM_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_QPSK_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_LOAD_USER_DEFINED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_FILTER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_FILTER_ALPHA_BT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT_USER_DEFINED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_ALPHA_BT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_MAPPING_CATALOG;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_MAPPING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MODULATION_SYMBOL_RATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MAX_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MIN_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_OUT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_IN;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_EDIT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_SAVE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_LOAD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_NEXT_BOOSTING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_NEXT_MODULATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_BOOSTING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_MODULATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_DESCRIPTION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_MAPPING_CATALOG;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_MAPPING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_APSK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_ASK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_PSK_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_PSK_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_QAM_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_QAM_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_QPSK_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_USER_DEFINED_MODULATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_FRAME_PATTERN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_LOAD_DATA_FILE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_PRBS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_ORDER;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_SAMPLE_RATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_SYMBOLS;
extern RsCoreAttribute g_RSFPL_ATTR_QUERY_SIGNAL_CAPTURE_IQ_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_NORMALIZE_EVM_TO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_OFFSET_EVM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILTER_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILE_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_LOAD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_SAVE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_RESET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_SER_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_AMPLITUDE_DROOP_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_FSK;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_TRANSMIT_CHANNEL;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_DEVIATION_ERROR;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_IMBALANCE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_SKEW;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_SYMBOL_CLOCK_ERROR;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_OPTIMIZATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_ALPHA_BT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_OFF;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_USER;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_EVALUATION_RANGE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_EVALUATION_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_CONFIGURE_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_MIN_GAP_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_MEASURING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_BURST_SEARCH_TOLERANCE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_AUTO;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SYNC_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SELECT_FILE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_COPY;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_ADD;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_REMOVE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_DATA;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_N_STATE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_PATTERN_DESCRIPTION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_ACCORDING_TO_FRAME_STRUCTURE_FILE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_TYPE_TRANSFORMATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_OVERSAMPLING;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_INDIVIDUAL_RESULTS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT_OFFSET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_REFERENCE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_SYMBOL_NUMBER_AT_REFERENCE_START;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULT_RANGE_HIGHLIGHT_SYMBOLS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_WINDOW_PRESET;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_WINDOW_ADD_EVALUATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_WINDOW_FEED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_WINDOW_MEASUREMENT_DIRTY;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_REFRESH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_START_SYMBOL;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MEASUREMENT_START_SAMPLES;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULTS_CURRENT_BER;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_RESULTS_BURST_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_TRACE_START;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_TRACE_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_MARKER_TO_START_OF_SELECTED_RESULT_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_DELTA_MARKER_TO_START_OF_SELECTED_RESULT_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_BURSTS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_PATTERNS;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_LENGTH;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_PRESENT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_START;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CONFIDENCE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CORRECT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_PRESENT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_START;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_TRACE_EVALUATION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_TRACE_SYMBOL_SELECTION;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DELTAMARKER_ABSOLUTE_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MARKER_ABSOLUTE_PEAK;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINES_HORIZONTAL_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_INITIATE_REFERENCE_MEASUREMENT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_FINISH_HALF_DECADE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_NOMINAL_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_VERIFY_FREQUENCY_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_RELATIVE_TOLERANCE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_ABSOLUTE_TOLERANCE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_VERIFY_LEVEL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TOLERANCE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_ON_VERIFY_FAILED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_TRACKING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TRACKING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_REJECT_AM_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MAX_FREQ_DRIFT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_DIGITAL_PLL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_DECIMATION_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_FORWARD_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SELECT_PRESET;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_AVERAGE_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_SWEEP_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_RBW;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_SWEEP_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_AVERAGE_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_WINDOW_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_SCOPE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_START;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_HALF_DECADE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_RANGE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_BOTTOM;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_SPUR_REMOVAL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_SMOOTHING_METHOD;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ONCE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_TOP;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACES;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_NOISE_FLOOR;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_CHECK_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_CORNER_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_LEFT_SLOPE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_COPY_TO_USER_LIMIT_LINE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_START;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_END;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_START;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_END;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_TRACE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_DISABLE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_INTEGRATED_PHASE_NOISE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_FM;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_RMS_JITTER;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_PM;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_INTEGRATED_PHASE_NOISE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_FM;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_RMS_JITTER;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_PM;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_ON_ALL_DECADE_EDGES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DISABLE_ALL_MARKERS;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_EDGE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_CUSTOM_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_VALUES;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_FREQUENCIES;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPUR_REMOVAL_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPUR_THRESHOLD;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RESULTS;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_DISCRETE_JITTER;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RANDOM_JITTER;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_START;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_STOP;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_SAMPLING_RATE;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_AVERAGES;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_FREQUENCY_DRIFT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_LEVEL_DRIFT;
extern RsCoreAttribute g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_MAX_DRIFT;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_FILE_NAME_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_FILE_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_X_VALUE_DISTRIBUTION;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_SELECTED_STORAGE_DEVICE;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_SELECTED_DIRECTORY;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_DELETE_DIRECTORY;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_NETWORK_UNUSED_DRIVES;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_NETWORK_USED_DRIVES;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_NONE;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_HW_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_LIMIT_LINES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SPECTROGRAM_DATA_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRACE_DATA_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRANSDUCER_FACTORS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SOURCE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_NONE;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_HW_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_LIMIT_LINES_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SPECTROGRAM_DATA_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRACE_DATA_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRANSDUCER_FACTORS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SOURCE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_DELETE_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_RECALL_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_SAVE_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_ABORT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_MODE;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PRINT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PRINT_NEXT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_CONTENT_TYPE;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_LOGO_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_COUNT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_DATE_AND_TIME_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_DESTINATION;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_SELECTED_PRINTER;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_FILE_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_FIRST_PRINTER;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_NEXT_PRINTER;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_ORIENTATION;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_WINDOWS_PER_PAGE;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_SCALE_TO_FIT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_BOTTOM;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_LEFT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_RIGHT;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_TOP;
extern RsCoreAttribute g_RSFPL_ATTR_HCOPY_COLOR_PRINTING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_HEADER_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_FILE_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_EXPORT;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_IMPORT;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST_SPURIOUS;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPURIOUS_EMISSION_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPECTROGRAM_DATA;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PAGE_FORMAT;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PRINTER_FRIENDLY_COLORS_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_DATE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_PAGE_COUNT;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_RAW_DATA_STORAGE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_TITLE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VALUE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VISIBILITY;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO_VISIBILITY;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_SELECTED_ITEMS;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_CATALOGUE;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_SAVE;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_LOAD;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_DELETE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_RESTORE_DEFAULTS;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_NEW;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_APPEND;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_INCLUDE_USER_DEFINED_INFORMATION;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_TITLE_PAGE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_TITLE;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_DESCRIPTION;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_ITEM_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_HIDDEN_TEST_REPORT_REMOVE_SET;
extern RsCoreAttribute g_RSFPL_ATTR_TEST_REPORT_REMOVE_ALL_SETS;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_CATALOG;
extern RsCoreAttribute g_RSFPL_ATTR_SELECTED_TRANSDUCER_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_SCALING;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_UNIT;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_COMMENT;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_REF_LEVEL_AUTO_ADJUST_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_TRANSDUCER_FACTOR_IMPORT;
extern RsCoreAttribute g_RSFPL_ATTR_DELETE_TRANSDUCER_FACTOR;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_OUTPUT_100_MHZ_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_SELF_TEST;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_REMOTE_LOGGING_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_DISPLAY_LANGUAGE;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_RESET_REVISION_TO_FACTORY_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_RESET_IDN_QUERY_TO_FACTORY_DEFAULT;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_GET_IDN_STRING_FACTORY;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_IDN_QUERY_STRING;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_LOCAL_LOCKOUT_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_LXI_INFO;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_LXI_LAN_RESET;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_LXI_INSTRUMENT_DESCRIPTION;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_LXI_PASSWORD;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_DISPLAY_UPDATE_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_DISPLAY_LOCK_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_DISPLAY_ERROR_ENABLED;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_SYSTEM_DATE;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_SYSTEM_TIME;
extern RsCoreAttribute g_RSFPL_ATTR_SYST_ERR;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATE;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATE_ALL;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_BANDWIDTH;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_INPUT_SOURCE;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_43_MHZ_PLUS;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_PEAK_DISTANCE;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_7_GHZ_PLUS;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SIGNAL_WIDEBAND_FREQUENCY;
extern RsCoreAttribute g_RSFPL_ATTR_FRONTEND_TEMPERATURE;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_STEST_RESULTS;
extern RsCoreAttribute g_RSFPL_ATTR_RECALL_CALIBRATION;
extern RsCoreAttribute g_RSFPL_ATTR_SAVE_CALIBRATION;
extern RsCoreAttribute g_RSFPL_ATTR_CALIBRATION_SAVE_FILE_PATH;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION_LAST_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION_DELETE_LAST_RESULT;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION_RESULT_FILE_NAME;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_SYSTEM_INFORMATION_FILE_PATH;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION_RESET_PASSWORD;
extern RsCoreAttribute g_RSFPL_ATTR_SERVICE_FUNCTION_PASSWORD;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_BIOS_INFO;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_HW_INFO;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_VERSION_INFO;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_BATTERY_LEVEL;
extern RsCoreAttribute g_RSFPL_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_CLEAR_ERRORS;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_ERROR_LIST;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_CLEAR_REMOTE_ERRORS_TABLE;
extern RsCoreAttribute g_RSFPL_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSFPL_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSFPL_ATTR_PRESET_CHANNEL;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_REBOOT;
extern RsCoreAttribute g_RSFPL_ATTR_GENERAL_SHUTDOWN;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsfpl_RsCoreRepCapTable[];
extern ViInt32 rsfpl_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsfpl_RsCoreAttributeList[];
extern ViInt32 rsfpl_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSFPL_ATTRIBUTES_HEADER */
